Bug 235783 - (perl-GraphViz) Review Request: perl-GraphViz - Interface to the GraphViz graphing tool
Review Request: perl-GraphViz - Interface to the GraphViz graphing tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
http://search.cpan.org/dist/GraphViz/
:
Depends On:
Blocks: Class-Prototyped
  Show dependency treegraph
 
Reported: 2007-04-10 01:50 EDT by Chris Weyl
Modified: 2014-04-28 09:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-19 15:01:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-10 01:50:50 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-GraphViz-2.02-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-GraphViz.spec

Description:
This module provides an interface to layout and image generation of
directed and undirected graphs in a variety of formats (PostScript, PNG,
etc.) using the "dot", "neato", "twopi", "circo" and "fdp" programs from
the GraphViz project (http://www.graphviz.org/ or
http://www.research.att.com/sw/tools/graphviz/).
Comment 1 Bernard Johnson 2007-04-18 17:43:13 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Rpmlint output: None
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the  Packaging Guidelines.
 [x] Package is licensed with an open-source compatible license and meet other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is written in American English.
 [x] Spec file for the package is legible.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : bb89286643e01631d1b7b0179ef120d6
     MD5SUM upstream package: bb89286643e01631d1b7b0179ef120d6
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [!] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.
 [x] Latest version is packaged.

=== Issues ===
1. Missing BR graphviz.
2. commented out perl(IPC::Run) should be removed.

=== Final Notes ===
1.

================
*** APPROVED ***
================

pending fixing missing BR.
Comment 2 Chris Weyl 2007-04-18 20:07:10 EDT
Thanks for the review!  I'll fix the BR post-import, pre-build (obviously) :)
Comment 3 Chris Weyl 2007-04-18 20:08:13 EDT
New Package CVS Request
=======================
Package Name: perl-GraphViz
Short Description: Interface to the GraphViz graphing tool
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 4 Chris Weyl 2008-05-22 11:54:28 EDT
Please branch for EL-5; per bug 447906 branch ownership should be set to
kanarip@kanarip.com.
Comment 5 Kevin Fenzi 2008-05-22 14:28:46 EDT
cvs done.
Comment 6 Lubomir Rintel 2014-04-28 08:56:32 EDT
Package Change Request
======================
Package Name: perl-GraphViz
New Branches: epel7
Owners: lkundrak
InitialCC: perl-sig

Fedora maintainer does not maintain EPEL packages and el6 maintainer is unresponsive to e-mail.
Comment 7 Jon Ciesla 2014-04-28 09:45:54 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.